<div id="feedNewDialog">
  <form id="feedNewDialogForm">
    <fieldset id="locationFieldset">
      <legend data-content="Location / URL / Keywords"
              class="ui-corner-top helpTourDialogItem translate">Location / URL / Keywords</legend>
      <div id="feedAddDiv"
           class="flexBox"
           data-step="1">
        <input name="add"
               id="feedAddInput"
               placeholder="URL or search terms"
               data-title="URL or search terms"
               value=""
               onclick="this.select()"
               class="grow translate"
               />
        <button id="feedAddButton"
                data-title="Find / discover the feed of this website, or build a search feed from the words"
                class="shrink last"
                type="submit">
          <span class="buttonText translate"></span>
          <i></i>
        </button>
      </div>
      
      <div id="messageZone">
        <span class="messageTitle"></span>
        <span class="messageText"></span>
      </div>

      <div id="feedNewListDiv">
      </div>

    </fieldset>

  </form>
</div>

<div id="aboutDialog">
  <div id="content" style="text-align: center;">
    <div id="icon">
      <i class="huge icon-petrolette"></i>
    </div>
    <div id="dialogText">
      <h1 class="logoTitle">Pétrolette <span id="petroletteVersion"></span></h1>
      <p id="dialogBlurb" class="translate">
        <a href="https://mastodon.social/@petrolette"
           rel="me"
           title="https://mastodon.social/@petrolette"
           data-content="The news page that doesn't know you"
           class="translate">The news page that doesn't know you</a>
      </p>
      <div id="sisterLibs" class="flexBox">
        <div><a class="docLink" href="https://framagit.org/yphil/feedrat">Feedrat <span id="feedratVersion"></span></a></div>
        <div><a class="docLink" href="https://framagit.org/yphil/favrat">Favrat <span id="favratVersion"></span></a></div>
      </div>
      <p><a href="https://yphil.gitlab.io/blog/" rel="me"
            data-content="By yPhil"
            class="translate">By yPhil</a></p>
      <p>
        <i class="icon-heartbeat"></i> <a href="https://liberapay.com/yPhil/">Liberapay</a> <i class="icon-coffee"></i> <a href="https://ko-fi.com/yphil/tiers">Ko-fi</a> <i class="icon-paypal"></i> <a href="https://paypal.me/yphil">Paypal</a>
      </p>
    </div>
  </div>
</div>

<div id="kbShortcuts">

  <h1 class="translate" data-content="Keyboard shortcuts">Keyboard shortcuts</h1>

  <table class="kBShortcutsTable">
    <tr>
      <th class="translate" data-content="Keyboard shortcut">Keyboard shortcut</th>
      <th class="translate" data-content="Command">Command</th>
    </tr>
    <tr>
      <td><kbd class="key">?</kbd></td> <td class="translate" data-content="Display this window.">Display this window.</td>
    </tr>
    <tr>
      <td><kbd class="key" id="kbShortcutNewFeed"></kbd></td> <td class="translate" data-content="Add a new feed.">Add a new feed.</td>
    </tr>
    <tr>
      <td><kbd class="key" id="kbShortcutFocusTab"></kbd></td> <td class="translate" data-content="Focus the current tab.">Focus the current tab.</td>
    </tr>
    <tr>
      <td><kbd class="key" id="kbShortcutFocusSearch"></kbd></td> <td class="translate" data-content="Focus the search input field.">Focus the search input field.</td>
    </tr>
  </table>
  
  <h2 class="translate" data-content="When focus is on a tab">When focus is on a tab</h2>
  
  <table class="kBShortcutsTable">
    <tr>
      <th class="translate" data-content="Keyboard shortcut">Keyboard shortcut</th>
      <th class="translate" data-content="Command">Command</th>
    </tr>
    <tr>
      <td><kbd class="keyGroup"><kbd class="key">UP</kbd>/<kbd class="key">LEFT</kbd></kbd></td> <td class="translate" data-content="Move focus to the previous tab. If on first tab, moves focus to last tab. Activate focused tab after a short delay.">Move focus to the previous tab. If on first tab, moves focus to last tab. Activate focused tab after a short delay.</td>
    </tr>
    <tr>
      <td><kbd class="keyGroup"><kbd class="key">DOWN</kbd>/<kbd class="key">RIGHT</kbd></kbd></td>
      <td class="translate" data-content="Move focus to the next tab. If on last tab, moves focus to first tab. Activate focused tab after a short delay.">Move focus to the next tab. If on last tab, moves focus to first tab. Activate focused tab after a short delay.</td>
    </tr>
    <tr>
      <td><kbd class="keyGroup"><kbd class="key">CTRL</kbd>+<kbd class="key">DOWN</kbd>/<kbd class="key">RIGHT</kbd></kbd></td>
      <td class="translate" data-content="Move focus to the next tab. If on last tab, moves focus to first tab. The focused tab must be manually activated.">Move focus to the next tab. If on last tab, moves focus to first tab. The focused tab must be manually activated.</td>
    </tr>
    <tr>
      <td><kbd class="keyGroup"><kbd class="key">HOME</kbd></kbd></td>
      <td class="translate" data-content="Move focus to the first tab. Activate focused tab after a short delay.">Move focus to the first tab. Activate focused tab after a short delay.</td>
    </tr>
    <tr>
      <td><kbd class="keyGroup"><kbd class="key">END</kbd></kbd></td>
      <td class="translate" data-content="Move focus to the last tab. Activate focused tab after a short delay.">Move focus to the last tab. Activate focused tab after a short delay.</td>
    </tr>
    <tr>
      <td><kbd class="keyGroup"><kbd class="key">CTRL</kbd>+<kbd class="key">HOME</kbd></kbd></td>
      <td class="translate" data-content="Move focus to the first tab. The focused tab must be manually activated.">Move focus to the first tab. The focused tab must be manually activated.</td>
    </tr>
    <tr>
      <td><kbd class="keyGroup"><kbd class="key">CTRL</kbd>+<kbd class="key">END</kbd></kbd></td>
      <td class="translate" data-content="Move focus to the last tab. The focused tab must be manually activated.">Move focus to the last tab. The focused tab must be manually activated.</td>
    </tr>
    <tr>
      <td><kbd class="keyGroup"><kbd class="key">SPACE</kbd></kbd></td>
      <td class="translate" data-content="Activate panel associated with focused tab.">Activate panel associated with focused tab.</td>
    </tr>
    <tr>
      <td><kbd class="keyGroup"><kbd class="key">ENTER</kbd></kbd></td>
      <td class="translate" data-content="Activate or toggle panel associated with focused tab.">Activate or toggle panel associated with focused tab.</td>
    </tr>
    <tr>
      <td><kbd class="keyGroup"><kbd class="key">ALT</kbd>/<kbd class="key">OPTION</kbd>+<kbd class="key">PAGE UP</kbd></kbd></td>
      <td class="translate" data-content="Move focus to the previous tab and immediately activate.">Move focus to the previous tab and immediately activate.</td>
    </tr>
    <tr>
      <td><kbd class="keyGroup"><kbd class="key">ALT</kbd>/<kbd class="key">OPTION</kbd>+<kbd class="key">PAGE&nbsp;DOWN</kbd></kbd></td>
      <td class="translate" data-content="Move focus to the next tab and immediately activate.">Move focus to the next tab and immediately activate.</td>
    </tr>
  </table>

  <h2 class="translate" data-content="When focus is in a panel">When focus is in a panel</h2>
  
  <table class="kBShortcutsTable">
    <tr>
      <th class="translate" data-content="Keyboard shortcut">Keyboard shortcut</th>
      <th class="translate" data-content="Command">Command</th>
    </tr>
    <tr>
      <td><kbd class="keyGroup"><kbd class="key">CTRL</kbd>+<kbd class="key">UP</kbd></kbd></td>
      <td class="translate" data-content="Move focus to associated tab.">Move focus to associated tab.</td>
    </tr>
    <tr>
      <td><kbd class="keyGroup"><kbd class="key">ALT</kbd>/<kbd class="key">OPTION</kbd>+<kbd class="key">PAGE UP</kbd></kbd></td>
      <td class="translate" data-content="Move focus to the previous tab and immediately activate.">Move focus to the previous tab and immediately activate.</td>
    </tr>
    <tr>
      <td><kbd class="keyGroup"><kbd class="key">ALT</kbd>/<kbd class="key">OPTION</kbd>+<kbd class="key">PAGE&nbsp;DOWN</kbd></kbd></td>
      <td class="translate" data-content="Move focus to the next tab and immediately activate.">Move focus to the next tab and immediately activate.</td>
    </tr>
  </table>

</div>


<div id="feedPrefsDialog">
    <legend data-content="Location"
            class="ui-corner-top translate">Location</legend>
    <fieldset id="locationFieldset">
      <div id="feedGuessDiv"
           class="flexBox helpTourDialogItem"
           data-step="1">
        <input name="guess"
               type="text"
               id="feedGuessInput"
               placeholder="URL or search terms"
               data-title="Enter a website address/URL and click search, then OK, or simply enter the URL of the feed and click OK"
               value=""
               onclick="this.select()"
               class="grow translate"
               />
        <button id="feedGuessButton"
                data-title="Find / discover the feed of this website, or build a search feed from the words"
                class="shrink translate last"
                type="button">
          <i class="icon-search"></i>
        </button>
      </div>
    </fieldset>

    <div id="messageZone">
      <span class="messageTitle"></span>
      <span class="messageText"></span>
    </div>

    <legend data-content="Name"
            class="ui-corner-top translate">Name</legend>
    <fieldset id="nameFieldset">
      <div class="flexBox helpTourDialogItem"
           data-step="2">
        <input name="name"
               type="text"
               id="feedNameInput"
               placeholder="Feed name"
               data-title="Feed name"
               value=""
               onclick="this.select()"
               class="grow translate"
               />
      </div>
    </fieldset>

    <legend data-content="Tab"
            class="ui-corner-top translate">
      Tab
    </legend>
    <fieldset id="tabFieldset">

      <select id="feedTabSelect"
              data-step="3"
              class="unique translate helpTourDialogItem"
              name="Group"
              data-title="Move the current feed to this tab">
      </select>

    </fieldset>

    <legend data-content="Type"
            class="ui-corner-top translate">
      Type
    </legend>
    <fieldset id="feedTypeFieldset">

      <div id="feedTypeDiv"
           data-step="4"
           class="flexBox helpTourDialogItem">

        <label data-title="Only display text"
               data-content="Text"
               class="translate"
               for="text" >Text</label>
        <input type="radio" name="radio-1" id="text">

        <label data-title="Display text and media (image, audio, video)"
               data-content="Mixed"
               for="mixed"
               class="translate middleButton">Mixed</label>
        <input type="radio" name="radio-1" id="mixed">

        <label data-title="Only display media (image, audio, video)"
               data-content="Media"
               class="translate"
               for="photo">Media</label>
        <input type="radio" name="radio-1" id="photo">

      </div>
    </fieldset>

    <legend data-content="Height"
            class="ui-corner-top translate">
      Height
    </legend>
    <fieldset id="feedLimitFieldset" class="dialog">
      <div id="feedHeightDiv"
           class="flexBox translate helpTourDialogItem"
           data-step="5"
           data-title="Number of items displayed in this feed">
        <div class="grow dialog">
          <label for="feedLimitInput" class="ui-helper-hidden">
            <input type="text" id="feedLimitInput" />
          </label>
          <div id="feedLimitSlider"></div>
        </div>
        <input readonly
               id="feedLimitSpinner"
               name="value">
      </div>
    </fieldset>

    <legend data-content="Number of items"
            class="ui-corner-top translate">
      Number of items
    </legend>
    <fieldset id="feedNbItemsFieldset" class="dialog">
      <div class="flexBox translate helpTourDialogItem"
           id="feedMaxItemsDiv"
           data-step="6"
           data-title="Number of items displayed in this feed">
        <div class="grow dialog">
          <label for="feedNbItemsInput" class="ui-helper-hidden">
            <input type="text" id="feedNbItemsInput" />
          </label>
          <div id="feedNbItemsSlider"></div>
        </div>
        <input readonly
               id="feedNbItemsSpinner"
               name="value">
      </div>
    </fieldset>

    <legend data-content="Delete"
            id="killFeedLegend"
            class="ui-corner-top translate">Delete
    </legend>
    <fieldset id="killFeedFieldset">

      <div id="feedDel"
           class="flexBox">
        <input type="checkbox" name="killFeedCheckbox" id="killFeedCheckbox">
        <label id="killFeedLabel"
               class="dangerous translate last"
               for="killFeedCheckbox"
               data-title="Delete feed"
               title="Delete feed"
               data-content="Delete feed">
          Delete feed
        </label>

      </div>
    </fieldset>

</div>

<div id="helpDialog" title="Pétrolette">
  <h1 class="translate" data-content="Help">Help</h1>
  <div class="dialog">
    <p>
      <span class="translate ui"
            data-content="Pétrolette is a news reader focused on preventing anyone to know what you are reading.">
        Pétrolette is a news reader focused on preventing anyone to know what you are reading.
      </span>
          </p>
    <p>

      <button class="helpTour translate ui-button ui-corner-all"
              title="Learn to use it in a few easy steps"
              data-title="Learn to use it in a few easy steps"
              data-content="Take the tour">
        Take the tour
      </button>

      <button class="helpKbShortcuts translate ui-button ui-corner-all"
              title="Keyboard shortcuts"
              data-title="Keyboard shortcuts"
              data-content="Keyboard shortcuts">
        Keyboard shortcuts
      </button>

      <a href="https://developer.mozilla.org/en-US/docs/Web/API/Window/localStorage"
         class="ui-button ui-corner-all"
         title="🌐 Local Storage"
         id="helpLocalStorage">🌐 Local Storage</a>

      <a href="https://wikipedia.org/wiki/RSS"
         class="ui-button ui-corner-all"
         title="🌐 RSS"
         id="helpLocalStorage">🌐 RSS</a>

    </p>
  </div>
  <h2 class="translate"
      data-title="How does it work?"
      data-content="How does it work?">How does it work?</h2>
  <div class="dialog">
    <p>
      <span class="translate"
            data-content="Pétrolette uses a time-tested technology">
        Pétrolette uses a time-tested technology
      </span>: <a class="docLink" href="https://wikipedia.org/wiki/RSS">RSS</a>.

      <span class="translate"
            data-content="Websites provide a feed of their headlines to facilitate access to their content ; Pétrolette updates and displays them.">
        Websites provide a feed of their headlines to facilitate access to their content ; Pétrolette updates and displays them.
      </span>
    </p>

    <ul class="help">
      <li class="publish translate"
          data-content="The website publishes a new article">
        The website publishes a new article
      </li>
      <li class="rss translate"
          data-content="Its RSS feed is updated">
        Its RSS feed is updated
      </li>
      <li class="refresh translate"
          data-content="At the next refresh, Pétrolette displays a new link to this article">
        At the next refresh, Pétrolette displays a new link to this article
      </li>
    </ul>

    <h3 class="translate"
        data-content="Why didn't I have to register?">Why didn't I have to register?</h3>
    <p>
      <span class="translate"
            data-content="Because your feeds and tabs are saved in your browser. Go ahead, try to visit">
        Because your feeds and tabs are saved in your browser. Go ahead, try to visit
      </span>
      <a class="instanceUrl docLink"></a>
      <span class="translate"
            data-content="with another web browser, and you'll see other feeds.">
        with another web browser, and you'll see other feeds.
      </span>
    </p>
    <h4 class="translate"
        data-content="How can I view the same feeds on all my devices (like my phone)?">How can I view the same feeds on all my devices (like my phone)?</h4>
      <span class="translate"
            data-content="Two ways:">
        Two ways:
      </span>

      <ul class="help">
        <li class="export translate"
            data-content="Use the «Export» button in the menu to save your feeds file, then on the other device, use the «Import» button to load this file.">Use the «Export» button in the menu to save your feeds file, then on the other device, use the «Import» button to load this file.</li>

        <li class="cloud translate"
            data-content="Or (recommended, much easier) use the synchronize button in the main menu to connect to the cloud - 5Apps, DropBox and Google Drive, only 5Apps is enabled on this instance for now, but you should use it anyway as it is FLOSS software - each change you make will then be reflected on all devices.">Or (recommended, much easier) use the synchronize button in the main menu to connect to the cloud - 5Apps, DropBox and Google Drive, only 5Apps is enabled on this instance for now, but you should use it anyway as it is FLOSS software - each change you make will then be reflected on all devices.</li>

      </ul>
  </div>

  <h3 class="translate"
      data-title="What is a tab?"
      data-content="What is a tab?">What is a tab?</h3>
  <div class="dialog">
    <p>
      <span class="translate"
            data-content="Just a container for your feeds. Specifically, a tab that you can create, (re)name, move, and delete just like usual.">
        Just a container for your feeds. Specifically, a tab that you can create, (re)name, move, and delete just like usual.
      </span>
    </p>
  </div>
  <h3 class="translate"
      data-title="What is a feed?"
      data-content="What is a feed? How do I create one?">What is a feed? How do I create one?</h3>

  <div class="dialog">
    <span class="translate"
          data-content="Click the «New feed» button.">
      Click the «New feed» button.
    </span>
    <ul class="help">
      <li class="rss translate"
          data-content="If you enter the URL of a valid feed (see «RSS feed» above), such as «https://news.google.com/news/rss/rss» Pétrolette will display it.">If you enter the URL of a valid feed (see «RSS feed» above), such as «https://news.google.com/news/rss/rss» Pétrolette will display it.</li>

      <li class="www translate"
          data-content="Now, if you simply enter the URL of a website, like «https://www.rt.com», Pétrolette will try to find the feed of this website and display it.">Now, if you simply enter the URL of a website, like «https://www.rt.com», Pétrolette will try to find the feed of this website and display it.</li>

      <li class="search translate"
          data-content="And finally, if you enter anything other than a URL, like the expression «bitcoin crash» or «zombie attack», Pétrolette will build a feed using a free and open feed proxy search engine, which will display the latest news on fluctuations in digital currency (or incidents involving undead) every time you update it.">And finally, if you enter anything other than a URL, like the expression «bitcoin crash» or «zombie attack», Pétrolette will build a feed using a free and open feed proxy search engine, which will display the latest news on fluctuations in digital currency (or incidents involving undead) every time you update it.</li>
      </ul>

    <p>
      <span class="dialog translate"
            data-content="You can also drag this button to your bookmark toolbar, and click it when you want to add a website to Pétrolette">
        You can also drag this button to your bookmark toolbar, and click it when you want to add a website to Pétrolette</span>:
      <a href="/"
        class="helpBookmarklet translate ui-button ui-corner-all"
         data-title='Drag me to the bookmark bar, or right click "Bookmark this link"'
         title='Drag me to the bookmark bar, or right click "Bookmark this link"'
         data-content="Add to Pétrolette">
        Add to Pétrolette
      </a>
    </p>
  </div>
</div>

<div id="editTabDialog">
  <form>
    <fieldset>
      <legend class="translate" data-content="Name">Name</legend>
      <div class="flexBox">
        <input
          name="name"
          id="tabNameInput"
          value=""
          onclick="this.select()"
          class="grow ui-corner-all" />
      </div>
    </fieldset>

    <fieldset>
      <legend class="translate" data-content="Position">Position</legend>
      <div class="flexBox">
        <button type="button"
                id="left"
                data-title="Left"
                class="ui-button grow"
                autofocus>
          <i class="icon-left"></i>
        </button>
        <button type="button"
                id="right"
                data-title="Right"
                class="ui-button grow last">
          <i class="icon-right"></i>
        </button>
      </div>
    </fieldset>

  </form>
</div>

<div id="beggarDialog" class="flexBox">
  <img id="beggarImg" src="https://framagit.org/yphil/assets/-/raw/master/img/petroleuses/Wren_Dispatch_Riders-WWI.jpg" alt="Wren Dispatch riders Group, UK WWI" />
  <span class="imageLegend">Wren Dispatch riders Group, UK WWI</span>
  <p>
    <span class="translate"
          data-content="Pétrolette is free software. However the development requires">
      Pétrolette is free software. However the development requires</span> <span><a class="translate docLink" data-content="a lot of time" href="https://www.youtube.com/watch?v=JlbMEx9H6FE">a lot of time</a></span> <span class="translate" data-content="and">and</span> <a class="translate docLink" data-content="a lot of work." href="https://framagit.org/yphil/petrolette/-/commits/master">a lot of work.</a> <span data-content="In order to keep maintaining Pétrolette and developing her with new features I need your help." class="translate">In order to keep maintaining Pétrolette and developing her with new features I need your help.</span>
  </p>
  <p class="translate" data-content="Please consider to support the Pétrolette project by sending a donation. Even the smallest amount will help a lot.">Please consider to support the Pétrolette project by sending a donation. Even the smallest amount will help a lot.</p>
</div>

<div id="questionDialog">
  <div class="flexBox">
    <div id="icon">
      <i class="huge"></i>
    </div>
    <div id="dialogText">
      <h1 class="translate"></h1>
      <p id="dialogBlurb" class="translate"></p>
      <h2 class="translate"></h2>
      <p></p>
      <h2 class="translate"></h2>
      <p></p>
    </div>
  </div>
</div>
